Subject: Re: GCD005: Regular and efficient releases

From: Rutherther <[email-masked]>
Date: Sun, 11 May 2025 22:38:02 +0200

Hi Ian,

Ian Eure <[email-masked]> writes:

>
> I think it’s worth considering doing this the other way around: 
> instead of freezing master, cut a release branch and cherry-pick 
> fixes into it as needed.  I don’t expect that development on 
> non-release features will stop during the freeze, which means 
> we’ll have a large backlog of work to merge once the freeze ends; 
> this is a thing Guix has historically not been good at working 
> through in a timely manner.
>
> A release branch would also support longer-term stable releases, 
> if we wanted to do that.
>
> The downside is that it’s more work to cherry-pick fixes between 
> branches, and there’s the potential for merge conflicts.

I think that currently this isn't achievable very well. If release and
master are diverging branches, and they will be if work is in both of
them, then if users install the system from that, then pull, and reconfigure,
their forward update check will fail as it expects the new commit to be
descendant of the old one, and it won't be. That would be causing confusion.

Regards
Rutherther